classification
Title: Update deprecation messages of platform.dist() and platform.linux_distribution()
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Kumaripaba Miyurusara Athukorala, berker.peksag, ezio.melotti, luiz.poleto, python-dev
Priority: normal Keywords: easy, patch

Created on 2016-01-07 17:18 by berker.peksag, last changed 2016-04-24 00:33 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
issue26041.diff Kumaripaba Miyurusara Athukorala, 2016-01-09 10:42 review
issue26041.diff Kumaripaba Miyurusara Athukorala, 2016-01-09 13:03 review
Messages (5)
msg257704 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-01-07 17:18
We need to remove "and will be removed in Python 3.7" from deprecation messages of platform.dist() and platform.linux_distribution() and update the relevant whatsnew entry in Doc/whatsnew/3.5.rst. 

See msg256111 in issue 1322 for details.
msg257817 - (view) Author: Kumaripaba Miyurusara Athukorala (Kumaripaba Miyurusara Athukorala) * Date: 2016-01-09 10:42
Attached the patch that fixed the issue26041. Changed the deprecation message.
msg257825 - (view) Author: Kumaripaba Miyurusara Athukorala (Kumaripaba Miyurusara Athukorala) * Date: 2016-01-09 13:03
Fixed the remaining errors.
msg264085 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-04-24 00:32
New changeset 8f7b317124d6 by Berker Peksag in branch '3.5':
Issue #26041: Remove "will be removed in Python 3.7" from description messages
https://hg.python.org/cpython/rev/8f7b317124d6

New changeset 5d9f961edc30 by Berker Peksag in branch 'default':
Issue #26041: Remove "will be removed in Python 3.7" from description messages
https://hg.python.org/cpython/rev/5d9f961edc30
msg264086 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-04-24 00:33
Thanks!
History
Date User Action Args
2016-04-24 00:33:04berker.peksagsetstatus: open -> closed
resolution: fixed
messages: + msg264086

stage: patch review -> resolved
2016-04-24 00:32:38python-devsetnosy: + python-dev
messages: + msg264085
2016-04-22 00:34:02luiz.poletosetnosy: + luiz.poleto
2016-01-11 21:37:41ezio.melottisetstage: needs patch -> patch review
2016-01-09 13:03:03Kumaripaba Miyurusara Athukoralasetfiles: + issue26041.diff

messages: + msg257825
2016-01-09 10:42:39Kumaripaba Miyurusara Athukoralasetfiles: + issue26041.diff

nosy: + Kumaripaba Miyurusara Athukorala
messages: + msg257817

keywords: + patch
2016-01-08 17:30:49ezio.melottisetnosy: + ezio.melotti
2016-01-07 17:18:20berker.peksagcreate